
import { axios } from '@/utils/request'
// import api from './default.js'
import qs from 'qs'
import { oms_std_maindata ,upcloud_base_wh_control} from "@/config/serviceSettings";



export function getList(params) {
  return axios({
    url: oms_std_maindata+'/pubBranch/query/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
export function getTreeList(params) {
  return axios({
    url: oms_std_maindata+'/pubBranch/queryList/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

export function putDetail(params) {
  return axios({
    url: oms_std_maindata+'/pubCustomerTransline/update/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
export function stopDetail(params) {
  return axios({
    url: oms_std_maindata+'/pubConsignorchange/pubConsignorchangeSwitch/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

export function addDetail(params) {
  return axios({
    url: oms_std_maindata+'/pubCustomerTransline/save/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
export function delDetail(params) {
  return axios({
    url: oms_std_maindata+'/pubCustomerTransline/delete/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
export function exportTemplate(params) {
  return axios({
    url: oms_std_maindata+'/pubBranch/export/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
export function downloadTemplate(params) {
  return axios({
    url: oms_std_maindata+'/pubBranch/downloadTemplate/v1.0',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    responseType: 'blob',
    data: params
  })
}
